#container {
    display: flex;
    justify-content: center;
    align-items: center;
    height:300px;
    width: 100%;
    padding-top: 50px;
    position:relative;
    overflow:hidden;
    flex-wrap: nowrap;
    margin: 0;
    padding: 0;
  }

  #center_container{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;


  }

  #hearts{
    display: flex;
    justify-content: center;
    align-items: center;
  }
  #hearts img{
    padding: 2px;
  }

  a{
    color: white;
    text-decoration: none;
    transition: transform 0.2s ease-in-out;
  }
  a:hover {
    transform: scale(1.3);
  }



body{
    margin:0;
    padding: 0;
    background-image: url("background.png");
    background-repeat: no-repeat;
    background-size: cover;
    background-color: black;
    color: white;

    background-attachment: fixed;
    height: 100%;

}
  #container2 {
    display: flex;
    justify-content: center;
    align-items: center;
    height:350px;
    position:relative;
    overflow:hidden;
    flex-wrap: nowrap;
    margin: 0;
    padding: 0;
  }

  .photobanner {
    position:absolute;
    top:0px;
    left:0px;
    overflow:hidden;
    white-space: nowrap;
    animation: bannermove 20s linear infinite;
    z-index: -1;


  }

  .photobanner img {
    margin: 0;
  }

  .overlay{
    position: relative;
    top: 30%;
    left: 50%;
    transform: translate(-80%, -130%);
    z-index: 2;
    max-width: 20%;
  }

  .overlay-walk{
    position: relative;
    top: 0%;
    left: 10%;
    transform: translate(-120%, -24%);
    z-index: 2;
    max-width: 20%;
    padding: 0;
  }

  .overlay_enemy{
    position: relative;
    top: 30%;
    left: 50%;
    transform: translate(-240%, -330%);
    z-index: 2;
    max-width: 8%;



  }

  .images img{
    margin: 0;
    height: 100%;
    width: 50%;
  }

  h1{
    margin:0;
    padding: 0;
  }
  @keyframes bannermove {
    0% {
        transform: translate(0, 0);
    }
    100% {
        transform: translate(-50%, 0);
    }
  }

  /* CSS */
  #frontpage{
text-align: center;
  }

  #button-container{
    z-index: 1000;
  }
  .button-89 {
    --b: 3px;   /* border thickness */
    --s: .45em; /* size of the corner */
    --color: #f7f7f7;


    padding: calc(.5em + var(--s)) calc(.9em + var(--s));
    color: var(--color);
    --_p: var(--s);
    background:
      conic-gradient(from 90deg at var(--b) var(--b),#0000 90deg,var(--color) 0)
      var(--_p) var(--_p)/calc(100% - var(--b) - 2*var(--_p)) calc(100% - var(--b) - 2*var(--_p));
    transition: .3s linear, color 0s, background-color 0s;
    outline: var(--b) solid #0000;
    outline-offset: .6em;
    font-size: 16px;

    border: 0;

    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
  }

  .button-89:hover,
  .button-89:focus-visible{
    --_p: 0px;
    outline-color: var(--color);
    outline-offset: .05em;
  }

  .button-89:active {
    background: var(--color);
    color: #fff;
  }

  .wavy {
    animation-name: wavy;
    animation-duration: 1.3s;
    animation-timing-function: ease;
    animation-iteration-count: infinite;
    position: relative;
    top: 0;
    left: 0;
    color: red;
  }
  @keyframes wavy {
    0% {
      top: 0px;
    }
    50% {
      top: -10px;
    }
    100% {
      top: 0px;
    }
  }

  .blink-soft {
    animation: blinker .5s linear infinite;
  }
  @keyframes blinker {
    20% {
      opacity: 0;
    }
  }

  .experience{
    color: rgb(85, 225, 85);
  }

  .circle-container {
    position: relative;
    width: 100px;
    height: 100px;
    border-radius: 50%;
    background-color: black;
  }

  .circle-progress {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 50%;
    clip: rect(0, 50px, 100px, 0);
    background-color: blue;
    transition: clip 1s ease;
  }

  #fireworks-container{
    position:fixed;
    top: -100;
    left: 0;
    width:100%;
    height:100%;
    z-index: 100;
  }

  h1 #fire{
    text-align: center;
    color: #c0c0c0;
    position: relative;
    top: 50px;
    font-family: Arial Narrow, Arial, sans-serif;
    font-weight: lighter;
    font-size: 48px;
    margin: 0;
    letter-spacing: 20px;
  }
  .fireworks {
    height: 100vh;
    width: 100vw;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .fireworks .firework {
    position: relative;
    top: 0px;
    left: 0px;
    margin: 0px 50px;
  }
  .fireworks .firework:before {
    content: "";
    display: block;
    border-radius: 5px;
    background-color: #2f43ff;
    width: 5px;
    height: 0px;
    will-change: transform;
    transform: translateY(1000px);
    animation: fireworkstart 3s ease-out infinite;
  }
  .fireworks .firework .explosion {
    position: absolute;
    top: 0;
    width: 5px;
    height: 20px;
    opacity: 0;
    transform-origin: top center;
    will-change: transform;
    animation: explosion 0.7s linear 3s infinite;
  }
  .fireworks .firework .explosion:nth-child(1) {
    transform: rotate(0deg);
  }
  .fireworks .firework .explosion:nth-child(2) {
    transform: rotate(90deg);
  }
  .fireworks .firework .explosion:nth-child(3) {
    transform: rotate(180deg);
  }
  .fireworks .firework .explosion:nth-child(4) {
    transform: rotate(-90deg);
  }
  .fireworks .firework .explosion:nth-child(5) {
    transform: rotate(45deg);
  }
  .fireworks .firework .explosion:nth-child(6) {
    transform: rotate(-45deg);
  }
  .fireworks .firework .explosion:nth-child(7) {
    transform: rotate(135deg);
  }
  .fireworks .firework .explosion:nth-child(8) {
    transform: rotate(225deg);
  }

  .fireworks .firework .explosion .spark {
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    border-radius: 5px;
    will-change: transform;
    animation: explosion2 0.7s ease-in-out 3s infinite;
  }

  .fireworks .firework .explosion .spark.silver {
    background-color: #fe3b3b;
  }
  .fireworks .firework .explosion .spark.gold {
    background-color: #36cae7;
  }
  @keyframes fireworkstart {
    0% {
      height: 0px;
      transform: translateY(1000px);
    }
    50% {
      height: 50px;
    }
    75% {
      height: 30px;
    }
    100% {
      height: 0;
      transform: translateY(0);
    }
  }

  @keyframes explosion {
    0% {
      height: 0px;
      opacity: 0;
    }
    50% {
      height: 25px;
      opacity: 1;
    }
    100% {
      height: 0px;
      opacity: 0;
    }
  }
  @keyframes explosion2 {
    0% {
      transform: translateY(0px);
    }
    50% {
      transform: translateY(5px);
    }
    75% {
      transform: translateY(50px);
    }
    100% {
      transform: translateY(70px);
    }
  }


  @import url("https://fonts.googleapis.com/css?family=Voltaire");

@mixin createAlphaRandom {
  @for $i from 0 through 10 {
    #{$i * 10%} { opacity: random() * 0.3 + 0.7; }
  }
}


#textFill {
  animation: alphaRandom 1s linear infinite;
}

#textGlow {
  animation: alphaRandom2 1s linear infinite;
}

@keyframes alphaRandom {
  @include createAlphaRandom;
}

@keyframes alphaRandom2 {
  @include createAlphaRandom;
}
